tigase.jaxmpp.core.client.xmpp.modules.muc

## Enum Affiliation

- java.lang.Object
- - java.lang.Enum<Affiliation>
  - - tigase.jaxmpp.core.client.xmpp.modules.muc.Affiliation

- All Implemented Interfaces:
    Serializable, Comparable<Affiliation>

      public enum Affiliation
      extends Enum<Affiliation>

  Author:
    bmalkow

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `admin`
    `member`
    `none`
    `outcast`
    `owner`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getWeight()`
    `boolean` | `isBanMembersAndUnaffiliatedUsers()`
    `boolean` | `isChangeRoomDefinition()`
    `boolean` | `isDestroyRoom()`
    `boolean` | `isEditAdminList()`
    `boolean` | `isEditMemberList()`
    `boolean` | `isEditModeratorList()`
    `boolean` | `isEditOwnerList()`
    `boolean` | `isEnterMembersOnlyRoom()`
    `boolean` | `isEnterOpenRoom()`
    `boolean` | `isRegisterWithOpenRoom()`
    `boolean` | `isRetrieveMemberList()`
    `boolean` | `isViewOccupantsJid()`
    `static Affiliation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Affiliation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### admin

          public static final Affiliation admin

    - #### member

          public static final Affiliation member

    - #### none

          public static final Affiliation none

    - #### outcast

          public static final Affiliation outcast

    - #### owner

          public static final Affiliation owner

  - ### Method Detail

    - #### values

          public static Affiliation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Affiliation c : Affiliation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Affiliation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getWeight

          public int getWeight()

    - #### isBanMembersAndUnaffiliatedUsers

          public boolean isBanMembersAndUnaffiliatedUsers()

    - #### isChangeRoomDefinition

          public boolean isChangeRoomDefinition()

    - #### isDestroyRoom

          public boolean isDestroyRoom()

    - #### isEditAdminList

          public boolean isEditAdminList()

    - #### isEditMemberList

          public boolean isEditMemberList()

    - #### isEditModeratorList

          public boolean isEditModeratorList()

    - #### isEditOwnerList

          public boolean isEditOwnerList()

    - #### isEnterMembersOnlyRoom

          public boolean isEnterMembersOnlyRoom()

    - #### isEnterOpenRoom

          public boolean isEnterOpenRoom()

    - #### isRegisterWithOpenRoom

          public boolean isRegisterWithOpenRoom()

    - #### isRetrieveMemberList

          public boolean isRetrieveMemberList()

    - #### isViewOccupantsJid

          public boolean isViewOccupantsJid()

Copyright © 2006–2023 Tigase. All rights reserved.